using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AyCode.Interfaces.StorageHandlers
{
    public interface ISecureStorageHandler
    {
        public Task SaveToSecureStorageAsync(string key, string value);
        public Task<string> GetFromSecureStorageAsync(string key);
        public Task DeleteFromSecureStorageAsync(string key);
        public Task ClearAllSecureStorageAsync();

    }
}
